<?php

/**
 * Theme Options Customizer.
 */
add_action('customize_register', 'neatnote_customize_register');
function neatnote_customize_register($wp_customize)
{
	$wp_customize->add_panel(
		'neatnote_theme_options_panel',
		array(
			'title'    => esc_html__('Theme Options', 'neatnote'),
			'priority' => 150,
		)
	);

	$theme_options_customizer = array('font-options', 'header-setting', 'footer-setting', 'blog-page-setting', 'single-page-setting', 'general-setting');

	foreach ($theme_options_customizer as $customizer) {
		require get_template_directory() . '/includes/customizer/' . $customizer . '.php';
	}

	//remove default customiser
	$wp_customize->remove_control('display_header_text');
	$wp_customize->remove_control('header_textcolor');
	$wp_customize->remove_control('background_color');
}
